Bug 603742 - Copy paste issues
Copy paste issues
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 09:25 EDT by Tobias Oed
Modified: 2012-01-27 10:15 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:12:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Oed 2010-06-14 09:25:03 EDT
Description of problem:
When I tripple click a line in gnome terminal to select it and then shift-click another line, all lines between these two get selected just as expected. If I then paste this selection somwhere (other terminal, gedit...) using a middle click, only the tripple clicked line gets pasted.

Version-Release number of selected component (if applicable):
This has been going on since F12 and is still there in F13 gnome-terminal-2.30.1-1.fc13.i686

How reproducible:
100%

Steps to Reproduce:
1. Tripple click a line in gnome terminal to select it
2. Shift click another line in the same terminal to extend the selection
3. middle click to paste the selection somewhere

Actual results:
Only the tripple clicked line gets pasted

Expected results:
All selected lines get pasted

Additional info:
If I use copy/paste from the menu, the problem remains.

If I tripple click and drag to extend the selection all selected lines get copied.


Tobias
Comment 1 Justin Clift 2010-09-08 04:44:52 EDT
Hi Tobias,

I get this as well, but experience a different aspect of it.

For me, when I have a large amount of text in the scrollback (ie. a couple hundred thousand lines), the fastest way to select the region is:

  a) primary click on the start point, then
  b) scroll to the end point using the slider, then
  c) shift-click on the end point

In this scenario, the "Copy" options don't work.  The Edit -> Copy option in the menu isn't enabled (still greyed out), and the Ctrl-Shift-c option doesn't work either.

The only working way to copy large amounts of text like this, is to click the start point with the primary mouse button, and hold it down while using the automatic window scroll that occurs when the cursor has moved to the bottom of the window.  *really slow* way of selecting several hundred thousand lines of input, but it seems to be the only way to get info from gnome-terminal to elsewhere on the odd occasion this requirement occurs.

At a guess, I'm thinking there's a bug in the gnome-terminal code that processes the shift-click, not realising it should update the internal text selection.

If that's the case, then fixing that might then automatically fix the copy problems mentioned here.
Comment 2 Philip Durbin 2011-04-27 15:33:01 EDT
On RHEL6 I am seeing the same problem as in the description of this bug.  Under RHEL5 I had gotten in the habit of this gnome-terminal workflow:

1. triple-click a line
2. scroll way back
3. shift-click to select a lot of text
4. copy

This no longer works in RHEL6.  Only the line that was triple-clicked is put into the copy buffer.

I showed this to a co-worker who figured out a work around.  Rather than scrolling around to select all the text, do a "Select All" (Edit -> Select All) and then Copy.  (This "Select All" option was not available in RHEL5.)  It's a great workaround, but there is definitely something funny going on with copy/paste from gnome-terminal in RHEL6 and (apparently) whatever version(s) of Fedora it is derived from ("Mix of Fedora 12 Fedora 13 and several modifications" according to http://fedoraproject.org/wiki/RHEL#History )
Comment 3 Bug Zapper 2011-06-02 06:55:30 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-27 14:12:15 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.